Problem with net-ssh

P

Pat Maddox

I'm getting the following error when I run the switchtower setup command:

/usr/lib/ruby/gems/1.8/gems/net-ssh-1.0.3/lib/net/ssh/transport/packet-stre=
am.rb:203:in
`sysread': bignum too big to convert into `long' (RangeError)
from /usr/lib/ruby/gems/1.8/gems/net-ssh-1.0.3/lib/net/ssh/transpor=
t/packet-stream.rb:203:in
`read'
from /usr/lib/ruby/gems/1.8/gems/net-ssh-1.0.3/lib/net/ssh/transpor=
t/packet-stream.rb:167:in
`get'
from /usr/lib/ruby/gems/1.8/gems/net-ssh-1.0.3/lib/net/ssh/transpor=
t/packet-stream.rb:147:in
`synchronize'
from /usr/lib/ruby/gems/1.8/gems/net-ssh-1.0.3/lib/net/ssh/transpor=
t/packet-stream.rb:147:in
`get'
from /usr/lib/ruby/gems/1.8/gems/needle-1.2.1/lib/needle/lifecycle/=
proxy.rb:60:in
`__send__'
from /usr/lib/ruby/gems/1.8/gems/needle-1.2.1/lib/needle/lifecycle/=
proxy.rb:60:in
`method_missing'
from /usr/lib/ruby/gems/1.8/gems/net-ssh-1.0.3/lib/net/ssh/transpor=
t/session.rb:245:in
`wait_for_message'
from /usr/lib/ruby/gems/1.8/gems/net-ssh-1.0.3/lib/net/ssh/transpor=
t/session.rb:240:in
`loop'
... 53 levels...
from /usr/lib/ruby/gems/1.8/gems/switchtower-0.9.0/lib/switchtower/=
cli.rb:7:in
`execute!'
from /usr/lib/ruby/gems/1.8/gems/switchtower-0.9.0/bin/switchtower:=
11
from /usr/bin/switchtower:18:in `load'
from /usr/bin/switchtower:18

Any clue what's up with that? I don't know if it's a problem with the
gem, with my client machine, or with my server.
 

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments. After that, you can post your question and our members will help you out.

Ask a Question

Similar Threads


Members online

Forum statistics

Threads
473,757
Messages
2,569,543
Members
45,026
Latest member
camilin05

Latest Threads

Top